#!/usr/bin/perl

#############################################################################

=head1 NAME

list_reporters.cgi

=head1 SYNOPSIS

Lists all the reporters in a Packages.gz file

=cut
#############################################################################

#=============================================================================#
# Usage
#=============================================================================#
use strict;
use warnings;
use Carp;
use CGI;
use CGI qw(:all);

#=============================================================================#
# Functions
#=============================================================================#

my $packages = param('packages');
if (!defined $packages){
  $packages = "../Packages.gz";
}

print header;
print "<html><head><link href=\"http://inca.sdsc.edu/www/css/style.css\"
rel=\"stylesheet\" type=\"text/css\" /></head><body>";

if (! -e $packages){
	print "<p>The Packages.gz file <b>" . $packages . "</b> cannot be located.</p>";
	exit;
} 

my $cmd = "/bin/ls -Ap ../bin";
open(CMD,"(/bin/sh -c \'$cmd\' |sed 's/^/STDOUT:/') 2>&1|");
	print "<pre><ol>";
	while(<CMD>) {
		if (/^STDOUT:(.*)$/) {
			if ($1 !~ /(\/|\.attrib$|READ|\.gz$)/){
				print "<li><a href=\"reporters.cgi?action=help&reporter=" . $1 . "\">" . $1 . "</a><br/></li><br/>";
			}
		}
	}

__END__

=head1 AUTHOR

Kate Ericson <kericson@sdsc.edu>

=cut

